# Class CIM_MetricDefForME
extends CIM_Dependency

This association ties a CIM_BaseMetricDefinition to a CIM_ManagedElement to define metrics for the latter. The metrics definition is given context by the ManagedElement, which is why the definition is dependent on the element.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_MetricDefForME

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association ties a CIM_BaseMetricDefinition to a CIM_ManagedElement to define metrics for the latter. The metrics definition is given context by the ManagedElement, which is why the definition is dependent on the element.
UMLPackagePath | string | CIM::Metrics::BaseMetric
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MetricCollectionEnabled | uint16 | 2

Description

string

MetricCollectionEnabled indicates whether the metric defined by the referenced CIM_BaseMetricDefinition is being collected for the referenced CIM_ManagedElement. A value of 2 "Enabled" shall indicate the metric is being collected. A value of 3 "Disabled" shall indicate the metric is not being collected. When collection of a metric is re-enabled, the metric is re-initialized such that any values for a current access metric reflect data collected after the time at which collection was re-enabled.

ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | Enabled, Disabled, Reserved, DMTF Reserved, Vendor Reserved

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_MetricDefForME | CIM_ManagedElement
Dependent | CIM_MetricDefForME | CIM_BaseMetricDefinition

## Class Methods